%global pkg_name importlib-resources
%global pypi_name importlib_resources
%global _description \
Importlib_resources is a backport of Python standard library.

Summary:        Read resources from Python packages
Name:           python-%{pkg_name}
Version:        6.1.0
Release:        2%{?dist}
License:        Apache-2.0
URL:            https://github.com/python/importlib_resources
Source0:        %pypi_source

BuildArch:      noarch

%description %{_description}

%package -n python3-%{pkg_name}
Summary:        %{summary}
BuildRequires:  python3-pytest python3-test python3-zipp

%description -n python3-%{pkg_name} %{_description}

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
%pytest

%files -n python3-%{pkg_name} -f %{pyproject_files}
%doc LICENSE
%doc README.rst

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.1.0-2
- Rebuilt for loongarch release

* Sat Oct 07 2023 Upgrade Robot <upbot@opencloudos.org> - 6.1.0-1
- Upgrade to version 6.1.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.12.0-5
- Rebuilt for python 3.11

* Wed Sep 13 2023 Shuo Wang <abushwang@tencent.com> - 5.12.0-4
- add python3-test buildrequires for python update

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.12.0-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.12.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Mon Apr 17 2023 kianli <kianli@tencent.com> - 5.12.0-1
- initial build
